package smart_gs.menu.action;

import java.awt.event.ActionListener;

import smart_gs.logical.Preference;
import smart_gs.menu.DirectorySettingWindow;

public class SetWorkspaceDirectoryPathAction extends SetDirectoryPathAction implements
		ActionListener {
	
	public SetWorkspaceDirectoryPathAction(){
		chooser.setDialogTitle("WorkspaceDirectory Path");
	}
	@Override
	protected String getOldPath() {
		return Preference.getInstance().getWorkspaceDirectory();
	}
	@Override
	protected void validateNewPath(String newPath) {
		DirectorySettingWindow.getInstance().setWorkspaceTextField(newPath);
	}

}

